Subject: bug#76506: Electric-command-history-redo-expression does nothing

From: Stefan Kangas <[email-masked]>
Date: Sun, 23 Feb 2025 16:46:01 +0000

Severity: normal

The `Electric-command-history-redo-expression` command is autoloaded
but it doesn't seem to do anything:

0. emacs -Q
1. M-x command-history RET
2. M-x Electric-command-history-redo-expression RET

Since this has seemingly been broken for a long time, and no one has
noticed, perhaps echistory.el is simply unused and should be obsoleted?

I find nothing about this obscure command online or on the mailing lists.